Loading...
Searching...
No Matches
l4re_env_cap_entry_t Struct Reference
L4Re C Interface » Initial Environment

Entry in the L4Re environment array for the named initial objects. More...

`#include <env.h>`

Collaboration diagram for l4re_env_cap_entry_t:

## Public Member Functions

| l4re_env_cap_entry_t () L4_NOTHROW
| Create an invalid entry.
| l4re_env_cap_entry_t (char const *n, l4_cap_idx_t c, l4_umword_t f=0) L4_NOTHROW
| Create an entry with the name n, capability c, and flags f.

## Data Fields

l4_cap_idx_t | cap
| The capability selector for the object.
l4_umword_t | flags
| Flags for the object.
char | name [16]
| The name of the object.

## Detailed Description

Entry in the L4Re environment array for the named initial objects.

Definition at line 39 of file env.h.

## Constructor & Destructor Documentation

## l4re_env_cap_entry_t()

l4re_env_cap_entry_t::l4re_env_cap_entry_t | ( | char const * | n,
|  | l4_cap_idx_t | c,
|  | l4_umword_t | f = 0 )

inline

Create an entry with the name n, capability c, and flags f.

Parameters

  n | is the name of the initial object.
  c | is the capability selector that refers the initial object.
  f | are the additional flags for the object.

Definition at line 70 of file env.h.

References cap, flags, L4_NOTHROW, and name.

## Field Documentation

## flags

l4_umword_t l4re_env_cap_entry_t::flags

Flags for the object.

Note
  Currently unused, except as an end marker for the entry list.

Definition at line 50 of file env.h.

Referenced by l4re_env_cap_entry_t(), l4re_env_cap_entry_t(), and l4re_env_get_cap_l().

The documentation for this struct was generated from the following file:

- l4/re/env.h